Social Fetch
Twitch

List Twitch profile videos

List videos from a Twitch channel by handle.

GET/v1/twitch/profiles/{handle}/videos
1credit
x-api-key*stringheader

API key (`sfk_...`)

Parameters
3
handle*stringpath

Twitch handle to look up, with or without a leading @.

min 1 chars · max 64 chars

filterBystringoptionalquery

Optional filter for video type.

one of: highlight, archive, upload

sortBystringoptionalquery

Optional sort order.

one of: time, views

Response fields
20

Endpoint-specific response payload.

datalookupStatus
string

Whether the channel was found.

one of: found, not_found

Videos from the channel for this request.

datavideos[]id
string

Twitch video id.

min 1 chars

datavideos[]title
stringnullable

Video title when available.

datavideos[]url
stringnullable

Canonical public Twitch URL for the video when available.

datavideos[]thumbnailUrl
stringnullable

Preview thumbnail URL when available.

datavideos[]animatedPreviewUrl
stringnullable

Animated preview image URL when available.

datavideos[]publishedAt
stringnullable

ISO-8601 publish timestamp when available.

datavideos[]viewCount
integernullable

View count when available.

≥ 0

datavideos[]durationSeconds
integernullable

Video duration in seconds when available.

≥ 0

Game or category for the video when available.

datavideos[]gameid
stringnullable

Game or category id when available.

datavideos[]gameslug
stringnullable

Game or category slug when available.

datavideos[]gamename
stringnullable

Game or category display name when available.

datavideos[]gameboxArtUrl
stringnullable

Box art image URL when available.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/twitch/profiles/ishowspeed/videos?sortBy=time" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Videos for the requested Twitch profile.